jQuery(function ($) {
    $(document).on("submit", "form", function () {
        return false;
    });
    $(document).on("change blur", "form .required", function (e) {
        if ($.trim($(this).val()) == "") {
            $(this).addClass("invalid");
        } else {
            $(this).removeClass("invalid");
        }
    });
    $(document).on("click", ".modal .btn-primary", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var __form = $(this).parents(".modal").find("form");

        $(__form).find(".required").each(function () {
            $(this).removeClass("invalid");
            if ($.trim($(this).val()) == "") {
                $(this).addClass("invalid");
            }
        });

        if ($(__form).find("input.required.invalid").size()) {
            return false;
        }
        $(__form).submit();
    });

    $('[data-toggle="tooltip"]').tooltip();
});

function loader() {
    $ = jQuery;
    $div = $('<div class="spinner-container"/>');
    $div.append('<svg class="spinner" width="65px" height="65px" viewBox="0 0 66 66" xmlns="http://www.w3.org/2000/svg"><circle class="path" fill="none" stroke-width="6" stroke-linecap="round" cx="33" cy="33" r="30"></circle></svg>');
    $('body').append($div);
}
function unloader() {
    jQuery('.spinner-container').remove();
}