jQuery(function ($) {
    $(document).on("click", ".btn.add-new", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=get_template&format=raw',
            data: {
                template: 'add-bolla'
            }
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                $('.general-modal .modal-header .modal-title').html(response.data.title);
                $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                $('.general-modal .modal-body').html(response.data.html);
                $('.general-modal').modal('show');
            }
        });
        return false;
    });

    $(document).on("click", ".btn.gen-fatt", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var bolle = new Array();
        $('input:checkbox:checked').each(function () {
            bolle.push($(this).val());

        });
        bolle = bolle.toString();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=fatture.generate&format=raw&idBolla=' + bolle
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                //$(__this).replaceWith("<a href='" + response.data.href + "' target='_blank'><i class='fa fa-file-pdf-o'></i></a>");

                $.ajax({
                    dataType: "json",
                    url: 'index.php?options=com_redstamp&task=get_template&format=raw',
                    data: {
                        idFattura: response.data.idFattura,
                        template: 'edit-fattura'
                    }
                }).done(function (response) {

                    unloader();
                    if (response.data.status) {
                        $('.general-modal .modal-header .modal-title').html(response.data.title);
                        $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                        $('.general-modal .modal-body').html(response.data.html);
                        $('.general-modal').modal('show');
                    }
                });
            }
        });
        return false;
    });

    $(document).on("change", "form[name='add-bolla'] [name='idAnagrafica']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).parents("form").find("[name='indirizzo']").val($(this).find("option:selected").data("indirizzo"));
        $(this).parents("form").find("[name='comune']").val($(this).find("option:selected").data("comune"));
        $(this).parents("form").find("[name='provincia']").val($(this).find("option:selected").data("provincia"));
        $(this).parents("form").find("[name='cap']").val($(this).find("option:selected").data("cap"));

        loader();
        $.ajax({
            dataType: "html",
            url: 'index.php?options=com_redstamp&task=bolle.getIndirizzi&format=raw&idAnagrafica=' + $(this).val()
        }).success(function (response) {
            unloader();
            $('#indirizziSpedizione').html(response);
        });

        return false;
    });

    $(document).on("click", "form[name='add-bolla'] .items .btn.btn-success", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var cloned = $(this).parents(".element").clone();
        $(cloned).find("input").val("");
        $(this).parents(".items").append($(cloned));
        return false;
    });


    $(document).on("click", "form[name='add-bolla'] .element .btn.btn-danger", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).parents(".element").remove();
        return false;
    });

    $(document).on("submit", "form[name='add-bolla']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            type: 'POST',
            dataType: "json",
            url: 'index.php',
            data: $(this).parents(".modal").find("form").serialize()
        }).done(function (response) {
            unloader();
            if (response.data.status && response.data.script) {
                eval(response.data.script);
            }
        });
        return false;
    });

    $(document).on("submit", "form[name='add-fattura']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            type: 'POST',
            dataType: "json",
            url: 'index.php',
            data: $(this).parents(".modal").find("form").serialize()
        }).done(function (response) {
            unloader();
            if (response.data.status && response.data.script) {
                eval(response.data.script);
            }
        });
        return false;
    });
    $(document).on("click", "form[name='add-fattura'] .items .btn.btn-success", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        var cloned = $(this).parents(".element").clone();
        $(cloned).find("input").val("");
        $(this).parents(".items").append($(cloned));
        return false;
    });

    $(document).on("click", "form[name='add-fattura'] .element .btn.btn-danger", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).parents(".element").remove();
        return false;
    });
    $(document).on("click", ".btn.edit", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        loader();
        $.ajax({
            dataType: "json",
            url: 'index.php?options=com_redstamp&task=get_template&format=raw',
            data: {
                idBolla: $(this).parents("tr").data("id"),
                template: 'edit-bolla'
            }
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                $('.general-modal .modal-header .modal-title').html(response.data.title);
                $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                $('.general-modal .modal-body').html(response.data.html);
                $('.general-modal').modal('show');
            }
        });
    });
    $(document).on("click", ".btn.remove", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();

        if (confirm(Joomla.JText._('COM_REDSTAMP_CONFIRM_DELBOLLA'))) {
            loader();
            var row = $(this).parents("tr");
            $.ajax({
                dataType: "json",
                url: 'index.php?options=com_redstamp&task=bolle.remove&format=raw',
                data: {
                    idBolla: $(row).data("id")
                }
            }).done(function (response) {
                unloader();
                if (response.data.status) {
                    $(row).remove();
                }
            });
        }
    });
    $(document).on("click", ".generate-invoice", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();
        $(this).find(".fa").addClass("fa-spin");
        var __this = $(this);
        loader();

        $.ajax({
            dataType: "json",
            url: $(this).attr("href")
        }).done(function (response) {
            unloader();
            if (response.data.status) {
                //$(__this).replaceWith("<a href='" + response.data.href + "' target='_blank'><i class='fa fa-file-pdf-o'></i></a>");

                $.ajax({
                    dataType: "json",
                    url: 'index.php?options=com_redstamp&task=get_template&format=raw',
                    data: {
                        idFattura: response.data.idFattura,
                        template: 'edit-fattura'
                    }
                }).done(function (response) {

                    unloader();
                    if (response.data.status) {
                        $('.general-modal .modal-header .modal-title').html(response.data.title);
                        $('.general-modal .modal-footer .btn-primary').html(response.data.button);
                        $('.general-modal .modal-body').html(response.data.html);
                        $('.general-modal').modal('show');
                    }
                });
            }
        });

        return false;
    });

    $(document).on("click", ".send-by-mail", function (e) {
        e.preventDefault();
        e.stopImmediatePropagation();
        e.stopPropagation();

        $(".confirm-email-send").find(".email-wrapper").text($(this).data("email"));
        $(".confirm-email-send").find("form[name='send-mail'] [name='idBolla']").val($(this).parents("tr").data("id"));
        $(".confirm-email-send").modal('show');

        return false;
    });

    $(document).on("submit", "form[name='send-mail']", function (e) {
        e.stopImmediatePropagation();
        e.stopPropagation();

        $(this).parents(".modal").modal('hide');

        loader();

        $.ajax({
            url: 'index.php',
            method: 'POST',
            data: $(".modal.confirm-email-send form[name='send-mail']").serialize()
        }).done(function (response) {
            response = JSON.parse(response);
            unloader();
            $(".mail-sended .modal-body").html(response.data.message);
            $(".mail-sended").modal('show');
        });

        return false;
    });

});