<!DOCTYPE html>
<html>
    <head>
        <style>
            html, body, div, span, applet, object, iframe,
            h1, h2, h3, h4, h5, h6, p, blockquote, pre,
            a, abbr, acronym, address, big, cite, code,
            del, dfn, em, font, img, ins, kbd, q, s, samp,
            small, strike, strong, sub, sup, tt, var,
            dl, dt, dd, ol, ul, li,
            fieldset, form, label, legend,
            table, caption, tbody, tfoot, thead, tr, th, td {
                margin: 0;
                padding: 0;
                border: 0;
                outline: 0;
                font-weight: inherit;
                font-style: inherit;
                font-size: 100%;
                font-family: inherit;
                vertical-align: baseline;
            }
            :focus {
                outline: 0;
            }
            body {
                line-height: 1;
                color: black;
                background: white;
            }
            ol, ul {
                list-style: none;
            }
            table {
                border-collapse: separate;
                border-spacing: 0;
            }
            caption, th, td {
                text-align: left;
                font-weight: normal;
            }
            blockquote:before, blockquote:after,
            q:before, q:after {
                content: "";
            }
            blockquote, q {
                quotes: "" "";
            }

            img {
                -ms-interpolation-mode: bicubic;
            }

            * {
                box-sizing: border-box;
                font-size: 15px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
            }

            html body {
                font-size: 15px;
                line-height: 1.1;
                font-family: 'Helvetica', sans-serif;
                padding: 1.25cm;
            }

            h1 {
                font-family: 'Helvetica', sans-serif;
                text-align: center;
                font-size: 25px!important;
                margin-bottom: 30px;
            }

            h3 {
                margin-top: 5px;
                margin-bottom: 5px;
                font-size: 18px;
            }

            .padding-md {
                padding: 7px;
            }

            .pull-left {
                float: left;
            }

            .border {
                border: 1px solid #eee;
            }
			.border td{
                border: 1px solid #eee;
            }

            .clearfix{
                content: "";
                display: table;
                width: 100%; 
                clear: both;
            }

            table {
                width: 100%;
                border-bottom: 0!important;
                border-left: 0!important;
            }
            table th {
                background: #eee;
                text-align: center;
                font-weight: bold;
                padding: 5px;
                border-bottom: 1px solid #ccc;
                border-left: 1px solid #ccc;
            }
            table tr td {
                padding: 7px;
                border-bottom: 1px solid #ccc;
                border-left: 1px solid #ccc;
            }

        </style>
    </head>
    <body>
        <table class="" style="border:0!important;">
            <tr>
                <td style="border:0!important; width: 50%;">
                    <table>
                        <tr>
                            <td style='padding: 0!important;border:0!important'>
                                <img src="<?php echo dirname(__FILE__) ?>/assets/logo.png" style="width: 7.5cm">
                            </td>
                        </tr>
                        <tr>
                            <td style='padding: 0!important;border:0!important'>
                                <div style='border-bottom: 1px solid #ccc; padding-bottom: 7px;padding-top: 15px;'>
                                    <b>Mittente:</b><br/>
                                    RED STAMP SAS di Redaelli Simone<br/>
                                    Via Galileo Galilei 15/D<br/>
                                    20856 Correzana (MB)<br/>
                                    Partita I.V.A.: 04634910964<br/>
                                    Codice fiscale: 04634910964
                                </div>
                            </td>
                        </tr>
                    </table>
                </td>
                <td style="border-bottom:0!important; width: 50%; vertical-align:bottom;">
                 <table>
                        
                        <tr>
                            <td style='padding: 0!important;border:0!important'>
                                 <div style='border-bottom: 1px solid #ccc; padding-bottom: 7px;padding-top: 15px;'>
                        <b>DOCUMENTO DI TRASPORTO</b><br/>
                        N. <?php echo $bolla->progressivo ?> del <?php echo date("d/m/Y", strtotime($bolla->inserted)) ?>
                    </div>
                    <div style="padding-top: 7px;border-bottom: 1px solid #ccc; padding-bottom: 7px">
                        <b>Destinatario:</b><br/>
                        <?php echo $bolla->ragioneSociale ?><br/>
                        <?php echo $bolla->Aindirizzo . ", " . $bolla->Acomune . " (" . $bolla->Aprovincia . ")" ?><br/>
                        Partita I.V.A.: <?php echo $bolla->ApIVA ?>
                    </div>
                            </td>
                        </tr>
                    </table>
                    
                </td>
            </tr>
        </table>
        <table class="" style="border:0!important;">
            <tr>
                <td style="border:0!important; width: 100%;">
        <div style="padding-top: 7px">
                                    Causale del trasporto: <b><?php echo $bolla->causale ?></b>
                                </div>
                                   </td>
                        </tr>
                    </table>
        <div class="clearfix"></div>

        <div style="margin-top: 15px" class="padding-md border">
            <b>Luogo di destinazione:</b>
            <h3><?php echo $bolla->adRagioneSociale ?></h3>
            <?php echo $bolla->adIndirizzo . ", " . $bolla->adComune . " - " .$bolla->adCap. " (" . $bolla->adProvincia . ")" ?>
        </div>

        <table style="margin-top: 15px" class="border">
            <tr>
                <th style="width: 90%; text-align: left">Descrizione dei beni</th>
                <th style="width: 10%; text-align: center">Quantità</th>
            </tr>
            <?php if ($bolla->prodotti) { ?>
                <?php foreach ($bolla->prodotti as $prodotto) { ?>
                    <tr>
                        <td style="font-size:12px"><?php echo $prodotto['prodotto'] ?></td>
                        <td style='text-align: center'><?php echo $prodotto['quantita'] ?></td>
                    </tr>
                <?php } ?>
            <?php } ?>

            <?php
            $howmany = 10;
            $count = $howmany - count($bolla->prodotti);
            for ($i = 0; $i < $count; $i ++) {
                ?>
                <tr>
                    <td>&nbsp;</td>
                    <td></td>
                </tr>
                <?php
            }
            ?>
        </table>

        <table style="margin-top: 10px; border: 1px solid #eee;" class="border">
            <tr>
                <td style="width: 33%;">
                    <b>Peso:</b> <?php echo $bolla->peso ?>
                </td>
                <td style="width: 33%;">
                    <b>Volume:</b> <?php echo $bolla->volume ?>
                </td>
                <td style="width: 33%;">
                    <b>Colli:</b> <?php echo $bolla->colli ?>
                </td>
            </tr>
        </table>

        <table style="margin-top: 10px; border: 1px solid #eee;" class="border">
            <tr>
                <td style="width: 33%;">
                    <b>Trasporto a mezzo:</b> <br/>
                    <?php
                    switch ($bolla->trasporto) {
                        case 1: echo 'Mittente';
                            break;
                        case 2: echo 'Vettore';
                            break;
                        case 3: echo 'Destinatario';
                            break;
                    }
                    ?>
                </td>
                <td style="width: 33%;">
                    <b>Vettore:</b><br/><?php echo ($bolla->vettore) ?>
                </td>
                <td style="width: 33%;">
                    <b>Data ritiro:</b><br/><?php echo date("d/m/Y", strtotime($bolla->dataRitiro)) ?>
                </td>
            </tr>
        </table>
        <div class="clearfix"></div>
        
        <div style="margin-top: 10px; border: 1px solid #eee; " class="padding-md border">
            <b>Aspetto esteriore beni:</b><br/> 
            <?php echo nl2br($bolla->aspettoBeni) ?>
        </div>
        <div class="clearfix"></div>

        <div style="margin-top: 10px; border: 1px solid #eee; " class="padding-md border">
            <b>Annotazioni:</b><br/> 
            <?php echo nl2br($bolla->note) ?>
        </div>
        <div class="clearfix"></div>

        <table style="margin-top: 10px; border: 1px solid #eee;" class="border">
            <tr>
                <td style="width: 33%;">
                    <b>Firma conducente:</b><br/><br/><br/>
                </td>
                <td style="width: 33%;">
                    <b>Firma vettore:</b><br/><br/><br/>
                </td>
                <td style="width: 33%;">
                    <b>Firma destinatario:</b><br/><br/><br/>
                </td>
            </tr>
        </table>
        <div class="clearfix"></div>
    </body>

</html>