<?php
defined('_JEXEC') or die('Restricted access');
?>
<div class="t3a-toolbar row">
    <div class="btn-group btn-group-small pull-left">
        <a href="javascript:void(0);" class="btn btn-info" data-toggle="collapse" data-target="#t3a-form">
            <span class="fa fa-search"></span> Ricerca
        </a>
    </div>
    <div class="btn-group btn-group-small pull-right">
        <button class="btn btn-success add-new"><span class="glyphicon glyphicon-plus-sign"></span> <?php echo JText::_("COM_REDSTAMP_ADD"); ?></button>
        <button class="btn btn-warning gen-fatt"><span class="glyphicon glyphicon-plus-sign"></span> Crea Fattura</button>
    </div>

    <fieldset class="t3a-form collapse" id="t3a-form">
        <div class="clearfix">
            <div class="col-sm-3">
                <div class='field search'>
                    <input type="search" placeholder="Ricerca" name="filter_search" id="filter_search" value="<?php echo $this->searchterms; ?>" onchange="document.adminForm.submit();"/>
                </div>
            </div>
            <div class="field col-sm-3">
                <div class="btn-group btn-group-small">
                    <button onclick="this.form.submit();" class="btn"><?php echo JText::_('Trova'); ?></button>
                    <button onclick="document.getElementById('filter_search').value = ''; this.form.submit();" class="btn"><?php echo JText::_('Reset'); ?></button>
                </div>
            </div>
        </div>
    </fieldset> 
</div>

<div class="main-content">
    <form action="<?php echo JRoute::_('index.php?option=com_redstamp&view=anagrafiche'); ?>" method="post" id="adminForm" class="form-validate" name="anagrafiche">

        <div class="panel panel-default main-panel">
            <div class="panel-heading">
                <h3 class="panel-title"><?php echo $this->title ?></h3>
            </div>
            <div class="panel-body">
                <?php if ($this->items) { ?>
                    <div class="table-responsive">
                        <table class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th width="3%"></th>
                                    <th class="center" width="5%">#</th>
                                    <th class="center" width="7%">Data</th>
                                    <th width="27%">Ragione sociale</th>
                                    <th>Indirizzo</th>
                                    <th class="center" width="8%">Causale</th>
                                    <th class="center" width="5%">DDT</th>
                                    <th class="center" width="5%">Fattura</th>
                                    <th class="center" width="5%">Invia</th>
                                    <th class="center" width="5%">Modifica</th>
                                    <th class="center" width="5%">Elimina</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <td colspan="10" class="t3a-pagination">
                                        <div class="col-md-6 text-left"><?php echo $this->pagination->getListFooter(); ?></div>
                                        <div class="col-md-6 text-right">Nr. Risultati: <?php echo $this->pagination->getLimitBox(); ?></div>
                                    </td>
                                </tr>
                            </tfoot>
                            <tbody>
                                <?php foreach ($this->items as $item) { ?>
                                    <?php $checked = JHTML::_('grid.id', $i++, $item->idBolla); ?>
                                    <tr data-id="<?php echo $item->idBolla; ?>">
                                        <td class="center"><?php echo $checked; ?></td>
                                        <td class="center"><?php echo $item->progressivo; ?></td>
                                        <td class="center"><?php echo JHTML::_('date', $item->inserted, 'd/m/Y'); ?></td>
                                        <td><?php echo $item->ragioneSociale; ?></td>
                                        <td><?php echo $item->indirizzo . ", " . $item->comune . " ({$item->provincia})" ?></td>
                                        <td style="text-align:center; <?php echo (($item->causale == 'RESO CONTO LAVORO') || ($item->causale == 'RESO CONTO LAVORO ') || ($item->causale == 'VENDITA') || ($item->causale == 'VENDITA ')) ? "background-color:rgba(255, 224, 102,0.7);" : ""; ?>"><?php echo $item->causale; ?></td>
                                        <td class="center"><a href='<?php echo JRoute::_("index.php?option=com_redstamp&task=bolle.export&idBolla=" . $item->idBolla . "&format=raw") ?>' target="_blank" class=""><i class="fa fa-file-pdf-o"></i></a></td>
                                        <?php if ($item->idFattura) { ?>
                                            <td class="center"><a href='<?php echo JRoute::_("index.php?option=com_redstamp&task=fatture.export&idFattura=" . $item->idFattura . "&format=raw") ?>' target='_blank' title="<?php echo JText::_("COM_REDSTAMP_INVOICE") ?>"><i class="fa fa-file-pdf-o"></a></td>
                                        <?php } else { ?>
                                            <td class="center"><a href='<?php echo JRoute::_("index.php?option=com_redstamp&task=fatture.generate&idBolla=" . $item->idBolla . "&format=raw") ?>' class="generate-invoice" title="<?php echo JText::_("COM_REDSTAMP_INVOICE_CREATE") ?>"><i class="fa fa-cog"></i></a></td>
                                        <?php } ?>
                                        <td class="center"><div class="btn btn-sm send-by-mail" data-toggle="tooltip" title="Invia la bolla a <?php echo $item->email ?>" data-email="<?php echo $item->email ?>"><i class="fa fa-envelope-o"></i></div></td>
                                        <td class="center"><div class="btn btn-sm edit"><i class="fa fa-edit"></i></div></td>
                                        <td class="center"><div class="btn btn-sm remove"><i class="fa fa-times"></i></div></td>
                                    </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                <?php } else { ?>
                    <div class="no-elements">
                        <?php echo JText::_("COM_REDSTAMP_NOELEMENTS_TOSHOW"); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </form>
</div>

<div class="modal fade general-modal" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Chiusi"><span aria-hidden="true">&times;</span></button>
                <h4 class="modal-title"></h4>
            </div>
            <div class="modal-body"></div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><?php echo JText::_("COM_REDSTAMP_CLOSE") ?></button>
                <button type="button" class="btn btn-primary"></button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade confirm-email-send" tabindex="-1" role="dialog" >
    <div class="modal-dialog modal-sm" role="document">
        <form name="send-mail">
            <div class="modal-content">
                <div class="modal-body">
                    Vuoi inviare una mail contenente la bolla selezionata a <span class="email-wrapper"></span>?
                    <input type="hidden" name="option" value="com_redstamp" />
                    <input type="hidden" name="task" value="bolle.send_mail" />
                    <input type="hidden" name="format" value="raw" />
                    <input type="hidden" name="idBolla" value="" />
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Annulla</button>
                    <button type="button" class="btn btn-sm btn-primary btn-send">Invia</button>
                </div>
            </div>
        </form>
    </div>
</div>
<div class="modal fade mail-sended" tabindex="-1" role="dialog" >
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-body">
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-sm btn-default" data-dismiss="modal">Chiudi</button>
            </div>
        </div>
    </div>
</div>