<?php

// No direct access to this file
defined('_JEXEC') or die('Restricted access');

class RedstampViewFatture extends JViewLegacy {

    function display($tpl = null) {

        $this->title = JText::_("COM_REDSTAMP_VIEW_FATTURE_TITLE");
        $this->items = $this->get('Items');
        $this->pagination = $this->get('Pagination');
        $this->state = $this->get('State');
        $this->searchterms = $this->get('State')->get('filter.search');

        JText::script('COM_REDSTAMP_CONFIRM_DELFATTURA');

        JFactory::getDocument()->addScript('components/com_redstamp/assets/js/view-fatture.js', 'text/javascript');
        JFactory::getDocument()->addScript('components/com_redstamp/assets/datetimepicker/moment.js', 'text/javascript');
        JFactory::getDocument()->addScript('components/com_redstamp/assets/datetimepicker/bootstrap-datetimepicker.js', 'text/javascript');
        JFactory::getDocument()->addStyleSheet('components/com_redstamp/assets/datetimepicker/bootstrap-datetimepicker.min.css');

        if (count($errors = $this->get('Errors'))) {
            JError::raiseError(500, implode('<br />', $errors));
            return false;
        }

        parent::display($tpl);
    }

}
