<?php
if (JRequest::getVar("idFattura")) {
    $item = $this->getModel("Fatture")->getFattura(JRequest::getVar("idFattura"));
}

$ragioniSocial = redstampHelper::get_ragionisociali();
?>

<form name='add-fattura' method='POST' ation='' class="form-validate">
    <div class='row'>
        <div class="clearfix">
            <div class="col-sm-3 control-group has-icon">
                <input type="text" value="<?php echo $item->nFattura; ?>" disabled="disabled" class="has-icon-left" />
                <i class="fa fa-barcode control-group-icon"></i>
            </div>
            <div class="col-sm-3 control-group">
                <div class='input-group datetimepicker'>
                    <input type='text' class="required" name="dataFattura" placeholder="Data Fattura" value="<?php echo (strtotime($item->dataFattura)) ? date("d/m/Y", strtotime($item->dataFattura)) : date("d/m/Y") ?>"/>
                    <span class="input-group-addon">
                        <span class="fa fa-calendar"></span>
                    </span>
                </div>
            </div>
        </div>
        <hr>
        <div class="clearfix">
            <div class="col-sm-12 control-group has-icon">
                <select name="idAnagrafica" class="required has-icon-left">
                    <option value="" <?php echo (!$item->idAnagrafica ? "selected='selected'" : "") ?>disabled><?php echo JText::_("COM_REDSTAMP_RAGIONESOCIALE") ?></option>
                    <?php if ($ragioniSocial) { ?>
                        <?php foreach ($ragioniSocial as $company) { ?>
                            <option value="<?php echo $company->idAnagrafica ?>" <?php echo ($item->idAnagrafica == $company->idAnagrafica ? "selected='selected'" : null) ?> data-iva="<?php echo addslashes($company->iva) ?>" data-indirizzo="<?php echo addslashes($company->indirizzo) ?>" data-comune="<?php echo addslashes($company->comune) ?>" data-provincia="<?php echo addslashes($company->provincia) ?>"><?php echo $company->ragioneSociale ?></option>
                        <?php } ?>
                    <?php } ?>
                </select>
                <i class="fa fa-building control-group-icon"></i>
            </div>
        </div>
        <hr>
        <div class="clearfix">
            <section class="items col-sm-12">
                <h5><?php echo JText::_("COM_REDSTAMP_PRODOTTI") ?></h5>
                <?php if ($item->prodotti) { ?>
                    <?php foreach ($item->prodotti as $key => $bolla) { ?>
                        <?php
                        if ($key != 0) {
                            echo "Bolla n." . $key;
                        }
                        ?>
        <?php foreach ($bolla as $prodotto) { ?>
                            <div class="element not-empty">
                                <div class="row">
                                    <div class="col-sm-6 control-group has-icon">
                                        <input type='text' class="has-icon-left" name='prodotto[<?php echo $key; ?>][]' placeholder="<?php echo JText::_("COM_REDSTAMP_NOME_PRODOTTO") ?>" value="<?php echo $prodotto['prodotto'] ?>"/>
                                        <i class="fa fa-product-hunt control-group-icon"></i>
                                    </div>

                                    <div class="col-sm-2 control-group has-icon"><input type='text' class="has-icon-left" name='costo[<?php echo $key; ?>][]' placeholder="<?php echo JText::_("COM_REDSTAMP_COSTO") ?>" value="<?php echo $prodotto['costo'] ?>"/>
                                        <i class="fa fa-euro control-group-icon"></i>
                                    </div>

                                    <div class="col-sm-2 control-group has-icon"><input type='text' class="has-icon-left" name='quantita[<?php echo $key; ?>][]' placeholder="<?php echo JText::_("COM_REDSTAMP_QUANTITA") ?>" value="<?php echo $prodotto['quantita'] ?>"/>
                                        <i class="fa control-group-icon">#</i>
                                    </div>

                                    <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_PRODOTTO") ?>"></button></div>
                                    <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_PRODOTTO") ?>"></button></div>
                                </div>
                            </div>
                        <?php } ?>
    <?php } ?>
<?php } ?>
                <div class="element">
                    <div class="row">
                        <div class="col-sm-6 control-group has-icon"><input type='text' class="has-icon-left" name='prodotto[0][]' placeholder="<?php echo JText::_("COM_REDSTAMP_NOME_PRODOTTO") ?>" />
                            <i class="fa fa-product-hunt control-group-icon"></i></div>
                        <div class="col-sm-2 control-group has-icon"><input type='text' class="has-icon-left" name='costo[0][]' placeholder="<?php echo JText::_("COM_REDSTAMP_COSTO") ?>" />
                            <i class="fa fa-euro control-group-icon"></i></div>
                        <div class="col-sm-2 control-group has-icon"><input type='text' class="has-icon-left" name='quantita[0][]' placeholder="<?php echo JText::_("COM_REDSTAMP_QUANTITA") ?>" />
                            <i class="fa control-group-icon">#</i></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-times-circle btn-danger" title="<?php echo JText::_("COM_REDSTAMP_REMOVE_PRODOTTO") ?>"></button></div>
                        <div class="col-sm-1 text-center"><button class="btn btn-sm fa fa-plus-circle btn-success" title="<?php echo JText::_("COM_REDSTAMP_ADD_PRODOTTO") ?>"></button></div>
                    </div>
                </div>
            </section>
        </div>
        <hr>
        <!--        <div class="clearfix">
                    <div class="col-sm-9 control-group">
                        <textarea name="note" placeholder="<?php echo JText::_("COM_REDSTAMP_NOTE_SPEDIZIONE") ?>" style="height: 120px; max-height: 120px; min-height: 120px;"><?php echo $item->note ?></textarea>
                    </div>
                    <div class="col-sm-3 control-group">
                        <input type='text' name="peso" placeholder="<?php echo JText::_("COM_REDSTAMP_PESO") ?>" value="<?php echo $item->peso ?>" style="margin-bottom: 15px"/>
                        <input type='text' name="volume" placeholder="<?php echo JText::_("COM_REDSTAMP_VOLUME") ?>" value="<?php echo $item->volume ?>" style="margin-bottom: 15px" />
                        <input type='text' name="colli" placeholder="<?php echo JText::_("COM_REDSTAMP_COLLI") ?>" value="<?php echo $item->colli ?>" style="width: 100%;" />
                    </div>
                </div>-->
        <hr>
        <!--        <div class="clearfix">
                    <div class="col-sm-3 control-group">
                        <input type='text' name="causale" placeholder="<?php echo JText::_("COM_REDSTAMP_CAUSALE_TRASPORTO") ?> " value="<?php echo $item->causale ?>" />
                    </div>
                    <div class="col-sm-3 control-group">
                        <select name="trasporto" class="required has-icon-left">
                            <option value="" <?php echo (!$item->trasporto ? "selected='selected'" : "") ?> disabled><?php echo JText::_("COM_REDSTAMP_TRASPORTO") ?></option>
                            <option value="1" <?php echo ($item->trasporto === 1 ? "selected='selected'" : null) ?>><?php echo JText::_("COM_REDSTAMP_TRASPORTO_MITTENTE") ?></option>
                            <option value="2" <?php echo ($item->trasporto === 2 ? "selected='selected'" : null) ?>><?php echo JText::_("COM_REDSTAMP_TRASPORTO_VETTORE") ?></option>
                            <option value="3" <?php echo ($item->trasporto === 3 ? "selected='selected'" : null) ?>><?php echo JText::_("COM_REDSTAMP_TRASPORTO_DESTINATARIO") ?></option>
                        </select>
                    </div>
                    <div class="col-sm-3 control-group">
                        <input type='text' name="vettore" placeholder="<?php echo JText::_("COM_REDSTAMP_TRASPORTO_VETTORE") ?>" value="<?php echo $item->causale ?>"/>
                    </div>
                    <div class="col-sm-3 control-group">
                        <div class='input-group datetimepicker'>
                            <input type='text' class="required" name="dataRitiro" placeholder="<?php echo JText::_("COM_REDSTAMP_DATA_RITIRO") ?>" value="<?php echo (strtotime($item->dataRitiro) ? date("d/m/Y", strtotime($item->dataRitiro)) : "") ?>"/>
                            <span class="input-group-addon">
                                <span class="fa fa-calendar"></span>
                            </span>
                        </div>
                    </div>
                </div>
                <hr>-->
        <div class="clearfix">
            <div class="col-sm-3 control-group">
                <select name="pagamento" class="required">
                    <option value="">...Pagamento..</option>
                    <option value="1" <?php echo (($item->pagamento) == 1) ? "selected='selected'" : ""; ?>>Rimessa diretta</option>
                    <option value="2" <?php echo (($item->pagamento) == 2) ? "selected='selected'" : ""; ?>>Ri.Ba. 30 gg</option>
                    <option value="3" <?php echo (($item->pagamento) == 3) ? "selected='selected'" : ""; ?>>Ri.Ba. 60 gg</option>
                    <option value="4" <?php echo (($item->pagamento) == 4) ? "selected='selected'" : ""; ?>>Ri.Ba. 90 gg</option>
                    <option value="5" <?php echo (($item->pagamento) == 4) ? "selected='selected'" : ""; ?>>Ri.Ba. 90 gg + 10 gg</option>
                    <option value="6" <?php echo (($item->pagamento) == 5) ? "selected='selected'" : ""; ?>>Bonifico Bancario 60 gg + 10 gg</option>
                    <option value="7" <?php echo (($item->pagamento) == 6) ? "selected='selected'" : ""; ?>>Bonifico Bancario 60 gg</option>
                </select>
            </div>
        </div>
    </div>
    <input type="hidden" name="idFattura" value="<?php echo $item->idFattura ?>"/>
    <input type="hidden" name="option" value="com_redstamp"/>
    <input type="hidden" name="task" value="fatture.save"/>
    <input type="hidden" name="format" value="raw"/>
    <style>
        section.items > div {padding-top: 15px;}
        section.items > div:not(.not-empty):first-of-type .btn-danger {display: none}
        section.items > div .btn-success {display: none}
        section.items > div:last-of-type .btn-success {display: inline}
        hr {margin-left: 15px; margin-right: 15px;}
    </style>
</form>
<script>
    jQuery(function ($) {
        $(".datetimepicker").datetimepicker({format: 'DD/MM/YYYY'});
    });
</script>